#!/bin/bash

SHOW="0"
PRINT="0"
while getopts "y:sphP:" flag
do
  case "${flag}" in
    h)
      echo "y ... year for statement";
      echo "s ... show output using evince";
      echo "p ... print output";
      echo "P ... printer name";
      exit 1;
      ;;
    y)
      YEAR=${OPTARG}
      ;;
    s)
      SHOW="1"
      ;;
    p)
      PRINT="1"
      ;;
    P)
      PRINTER="-P ${OPTARG}"
      ;;
  esac
done
    
if [ "$YEAR" = "" ]; then
  echo "give year for statement as argument"
  exit 1
fi

python3.10 hv2cli.py -o AccountStatement -p '{"year":'$YEAR'}' > ./output/$YEAR.tex

pushd ./output

pdflatex $YEAR.tex
pdflatex $YEAR.tex
pdflatex $YEAR.tex

if [ "$SHOW" = "1" ]; then
  evince $YEAR.pdf
fi

if [ "$PRINT" = "1" ]; then
  lpr $PRINTER $YEAR.pdf
fi

popd
