#!/bin/bash

PRINT="0"
while getopts "y:phP:" flag
do
  case "${flag}" in
    h)
      echo "y ... year for statement";
      echo "p ... print output";
      echo "P ... printer name";
      exit 1;
      ;;
    y)
      YEAR=${OPTARG}
      ;;
    p)
      PRINT="1"
      ;;
    P)
      PRINTER="-P ${OPTARG}"
      ;;
  esac
done
    
if [ "$YEAR" = "" ]; then
  echo "give year for statement as argument"
  exit 1
fi

python3.10 hv2cli.py -o OverheadAccounts -p '{"year":'$YEAR'}'

pushd ./output

for I in letter-*.tex; do
  pdflatex $I
  pdflatex $I
  pdflatex $I
done
for I in overview-*.tex; do
  pdflatex $I
  pdflatex $I
  pdflatex $I
done


if [ "$PRINT" = "1" ]; then
  for I in letter-*.pdf; do
    lpr $PRINTER $I
  done
  for I in overview-*.pdf; do
    lpr $PRINTER $I
  done
fi

popd
