create or replace view account_statement_v as
    select ae.id as id,
        ae.description as description,
        ae.created_at::timestamp::date as created_at,
        ae.amount as amount,
        ae.document_no as document_no,
        ae.fiscal_year as fiscal_year,
        aec.description as category,
        ac.description as account,
        ae.is_reference as is_reference,
        bac.description as base_account
    from joined_account_entry_v ae,
        account_entry_category_t aec,
        account_t ac,
        account_t bac
    where ae.account_entry_category = aec.id and
            ae.account = ac.id and
            ae.base_account = bac.id and
            ac.id = 1000
    order by created_at;

grant select on account_statement_v to hv2;

